import React from 'react'
import PropTypes from 'prop-types'
import { config } from 'utils'
import styles from './Layout.less'
import Menus from './Menu'

const Sider = ({ siderFold, location, clickNavMenu }) => {
  const menusProps = {
    siderFold,
    location,
    handleClickNavMenu: clickNavMenu,
  }
  return (
    <div>
      <div className={styles.logo}>
        <img alt={'logo'} src={config.logo} />
        {siderFold ? '' : <div>{config.name}</div>}
      </div>
      <Menus {...menusProps} />
    </div>
  )
}

Sider.propTypes = {
  siderFold: PropTypes.bool,
  location: PropTypes.object,
  clickNavMenu: PropTypes.func,
}

export default Sider
