/* global window */
import { message } from 'antd'
import dva from 'dva'
import createLoading from 'dva-loading'
import createHistory from 'history/createBrowserHistory'
import 'babel-polyfill'

// 1. Initialize
const app = dva({
  ...createLoading({
    effects: true,
  }),
  history: createHistory(),
  onError (error) {
    if (error.statusCode === 403) {
      window.location = '/login'
      return
    }
    message.config({
      maxCount: 1,
    })
    // 系统正忙，静默处理
    if (error.message === '系统正忙') {
      return
    }
    message.error(error.message, 10)
  },
})

// 2. Model
app.model(require('./models/app'))
app.model(require('./models/cluster'))

// 3. Router
app.router(require('./router'))

// 4. Start
app.start('#root')
