/* global window */
import { routerRedux } from 'dva/router'
import { login, getLicense } from 'services/login'
import { getLicenseType } from 'utils'
import { prefix } from 'config'

export default {
  namespace: 'login',

  state: {
    license: JSON.parse(window.localStorage.getItem(`${prefix}license`)),
  },

  effects: {
    * login ({
      payload,
    }, { put, call }) {
      yield call(login, payload)
      window.localStorage.setItem(`${prefix}username`, payload.username)
      yield put(routerRedux.push('/resource'))
    },

    * getLicense (_, { call, put }) {
      const license = yield call(getLicense)
      const licenseModel = getLicenseType(license.data)
      yield put({
        type: 'updateLicense',
        payload: { license: licenseModel },
      })
    },
  },

  reducers: {
    updateLicense (state, { payload }) {
      window.localStorage.setItem(`${prefix}license`, JSON.stringify(payload.license))
      return {
        ...state,
        ...payload,
      }
    },
  },

}
