import { parse } from 'qs'
import modelExtend from 'dva-model-extend'
import { query, operate, operateLocal } from 'services/node'
import { model } from 'models/common'

export default modelExtend(model, {
  namespace: 'node',
  state: {
    list: [],
  },
  subscriptions: {
    setup ({ dispatch, history }) {
      history.listen(({ pathname }) => {
        if (pathname === '/resource' || pathname === '/') {
          dispatch({ type: 'query' })
        }
      })
    },
  },
  effects: {
    * query ({
      payload,
    }, { call, put }) {
      const resp = yield call(query, parse(payload))
      yield put({
        type: 'updateState',
        payload: {
          list: resp.data,
        },
      })
    },
    * operate ({
      payload,
    }, { call }) {
      return yield call(operate, parse(payload))
    },
    * operateLocal ({
      payload,
    }, { call }) {
      return yield call(operateLocal, parse(payload))
    },
  },
})
