import { request, config } from 'utils'

const { api } = config
const { userLogout, userLogin, license, logs } = api

export async function login (params) {
  return request({
    url: userLogin,
    method: 'post',
    data: params,
  })
}

export async function logout (params) {
  return request({
    url: userLogout,
    method: 'post',
    data: params,
  })
}

export async function registerLicense (params) {
  return request({
    url: license,
    method: 'post',
    data: params,
  })
}

export async function getLogs (params) {
  return request({
    url: logs,
    method: 'get',
    data: params,
  })
}
