import { request, config } from 'utils'

const { api } = config
const { cluster, alarm, heartBeat, devices, drbd, gfs, hbstatus, scripts, commands, command } = api

export async function query (params) {
  return request({
    url: cluster,
    method: 'get',
    data: params,
  })
}

export async function update (params) {
  return request({
    url: cluster,
    method: 'put',
    data: params,
  })
}

export async function queryAlarm (params) {
  return request({
    url: alarm,
    method: 'get',
    data: params,
  })
}

export async function updateAlarm (params) {
  return request({
    url: alarm,
    method: 'post',
    data: params,
  })
}

export async function queryHeartBeat (params) {
  return request({
    url: heartBeat,
    method: 'get',
    data: params,
  })
}

export async function updateHeartBeat (params) {
  return request({
    url: heartBeat,
    method: 'post',
    data: params,
  })
}

export async function queryDevices (params) {
  return request({
    url: devices,
    method: 'get',
    data: params,
  })
}

export async function queryDrbd (params) {
  return request({
    url: drbd,
    method: 'get',
    data: params,
  })
}

export async function updateDrbd (params) {
  return request({
    url: drbd,
    method: 'post',
    data: params,
  })
}

export async function deleteDrbd (params) {
  return request({
    url: drbd,
    method: 'delete',
    data: params,
  })
}

export async function queryGfs (params) {
  return request({
    url: gfs,
    method: 'get',
    data: params,
  })
}

export async function updateGfs (params) {
  return request({
    url: gfs,
    method: 'post',
    data: params,
  })
}

export async function deleteGfs (params) {
  return request({
    url: gfs,
    method: 'delete',
    data: params,
  })
}

export async function createScript (params) {
  return request({
    url: scripts,
    method: 'post',
    data: params,
  })
}

export async function queryHeartBeatStatus (params) {
  return request({
    url: hbstatus,
    method: 'get',
    data: params,
  })
}

export async function queryCommands (params) {
  return request({
    url: commands,
    method: 'get',
    data: params,
  })
}

export async function operateCommand (params) {
  return request({
    url: command,
    method: 'get',
    data: params,
  })
}
