import { request, config } from 'utils'

const { api } = config
const { resources, resource, rscTypes, rscType, rscAttrs, drbdStatus } = api

export async function query (params) {
  return request({
    url: resources,
    method: 'get',
    data: params,
  })
}

export async function detail (params) {
  return request({
    url: resource,
    method: 'get',
    data: params,
  })
}

export async function update (params) {
  return request({
    url: resource,
    method: 'put',
    data: params,
  })
}

export async function operate (params) {
  return request({
    url: `${resource}/:action`,
    method: 'put',
    data: params,
  })
}

export async function queryRscTypes (params) {
  return request({
    url: rscTypes,
    method: 'get',
    data: params,
  })
}

export async function queryRscType (params) {
  return request({
    url: rscType,
    method: 'get',
    data: params,
  })
}

export async function queryRscAttrs (params) {
  return request({
    url: rscAttrs,
    method: 'get',
    data: params,
  })
}

export async function create (params) {
  return request({
    url: resources,
    method: 'post',
    data: params,
  })
}

export async function queryRscRestriction (params) {
  return request({
    url: `${resource}/relations/:relation`,
    method: 'get',
    data: params,
  })
}

export async function queryDrbdStatus (params) {
  return request({
    url: drbdStatus,
    method: 'get',
    data: params,
  })
}
