// import { bmjFeatureSwitch } from './bmjConfig'
// import { mips64elBuild19FeatureSwitch } from './mips64elBuild19Config'
// import { mips64el108FeatureSwitch } from './mips64el108Config'
// import { sosv70FeatureSwitch } from './sosv70'
// import { armv76FeatureSwitch } from './armv76'
// import { ns76FeatureSwitch } from './ns76'

const APIV1 = '/api/v1'
const APIV2 = '/api/v2'
const CLUSTER = '/haclusters/1'
const buildSwitch = null

module.exports = {
  name: '中标麒麟高可用集群软件',
  prefix: 'ha',
  footerText: '中标软件有限公司|联系电话：400-706-1825 Copyright © 2016 China Standard Software Co., Ltd.(CS2C) All Rights Reserved',
  logo: '/logo.png',
  CORS: [],
  openPages: ['/login'],
  apiPrefix: '/api/v1/',
  APIV1,
  APIV2,
  featureSwitch: {
    drbdMasterMode: true, // drbd功能切换，true:可切换选择主备或者主主模式，false:只有主备模式
    drbdMode: true, // drbd功能全局开关
    gfsMode: true, // gfs功能全局开关
    alarmMode: true, // 报警功能开关
    licenseMode: true, // license功能开关
    diskHbMode: true, // 磁盘心跳功能开关
    ucHbMode: true, // 单播心态功能开关
    scriptGtMode: true, // 脚本生成器功能开关
    logMode: true, // 日志下载功能开关
    clusterOptMode: true, // 集群快捷操作功能开关
    toolMode: true, // 工具操作栏开关
    ...buildSwitch,
  },
  api: {
    userLogin: `${APIV1}/login`,
    userLogout: `${APIV1}/logout`,
    userInfo: `${APIV1}/userInfo`,
    resources: `${APIV1}${CLUSTER}/resources`,
    resource: `${APIV1}${CLUSTER}/resources/:id`,
    nodes: `${APIV1}${CLUSTER}/nodes`,
    node: `${APIV1}${CLUSTER}/nodes/:id`,
    localnodes: `${APIV1}${CLUSTER}/localnodes`,
    cluster: `${APIV1}${CLUSTER}`,
    rscTypes: `${APIV1}${CLUSTER}/metas`,
    rscType: `${APIV1}${CLUSTER}/metas/:class/:type/:provider?`,
    rscAttrs: `${APIV1}${CLUSTER}/resources/meta_attributes/:category`,
    alarm: `${APIV1}${CLUSTER}/alarms`,
    heartBeat: `${APIV1}${CLUSTER}/configs`,
    devices: `${APIV1}${CLUSTER}/get_diskhb_device`,
    license: `${APIV1}${CLUSTER}/licenses`,
    drbd: `${APIV1}${CLUSTER}/drbd`,
    gfs: `${APIV1}${CLUSTER}/gfs`,
    hbstatus: `${APIV1}${CLUSTER}/hbstatus`,
    logs: `${APIV1}${CLUSTER}/logs`,
    scripts: `${APIV1}${CLUSTER}/scripts`,
    commands: `${APIV1}${CLUSTER}/commands`,
    command: `${APIV1}${CLUSTER}/commands/:cmd_type`,
    drbdStatus: `${APIV1}${CLUSTER}/drbd_status`,
  },
}
